org.springframework.web.reactive.result.view

## Interface Rendering.RedirectBuilder

All Superinterfaces:
  Rendering.Builder<Rendering.RedirectBuilder>

Enclosing interface:
  Rendering

    public static interface Rendering.RedirectBuilder
    extends Rendering.Builder<Rendering.RedirectBuilder>

Extends `Rendering.Builder` with extra options for redirect scenarios.

### Method Summary

All Methods Instance Methods Abstract Methods
`Rendering.RedirectBuilder` `contextRelative(boolean contextRelative)` Whether to the provided redirect URL should be prepended with the application context path (if any).
`Rendering.RedirectBuilder` `propagateQuery(boolean propagate)` Whether to append the query string of the current URL to the target redirect URL or not.

### Methods inherited from interface org.springframework.web.reactive.result.view.Rendering.Builder

`build, header, headers, model, modelAttribute, modelAttribute, modelAttributes, status`

### Method Detail

#### contextRelative

    Rendering.RedirectBuilder contextRelative(boolean contextRelative)

Whether to the provided redirect URL should be prepended with the application context path (if any).

By default this is set to `true`.

See Also:
  `RedirectView.setContextRelative(boolean)`

#### propagateQuery

    Rendering.RedirectBuilder propagateQuery(boolean propagate)

Whether to append the query string of the current URL to the target redirect URL or not.

By default this is set to `false`.

See Also:
  `RedirectView.setPropagateQuery(boolean)`